        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE BLAYER__genmod
          INTERFACE 
            SUBROUTINE BLAYER(D2,D3,M,EMAREF,TREF,REREF,GAMM)
              REAL(KIND=4) :: D2
              REAL(KIND=4) :: D3
              INTEGER(KIND=4) :: M
              REAL(KIND=4) :: EMAREF
              REAL(KIND=4) :: TREF
              REAL(KIND=4) :: REREF
              REAL(KIND=4) :: GAMM
            END SUBROUTINE BLAYER
          END INTERFACE 
        END MODULE BLAYER__genmod
